interface ComputedStyleStorage {
    size(): number;
    get(propertyName: string): string;
    getNumber(propertyName: string): number;
}
declare class ComputedStyleCompat implements ComputedStyleStorage {
    el: HTMLElement;
    style: CSSStyleDeclaration;
    constructor(el: HTMLElement);
    size(): number;
    get(propertyName: string): string;
    getNumber(propertyName: string): number;
}
declare class ComputedStyleExperimental implements ComputedStyleStorage {
    el: HTMLElement;
    style: StylePropertyMap;
    constructor(el: HTMLElement);
    size(): number;
    get(propertyName: string): string;
    getNumber(propertyName: string): number;
}
export declare function createStorage(el: HTMLElement, compat: boolean): ComputedStyleCompat | ComputedStyleExperimental;
export {};
//# sourceMappingURL=ComputedStyleStorage.d.ts.map